Bug 72480 - Obsolete stuff in xemacs 21.4 spec file
Obsolete stuff in xemacs 21.4 spec file
Product: Red Hat Raw Hide
Classification: Retired
Component: xemacs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Jay Turner
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-08-24 07:29 EDT by Ville Skyttä
Modified: 2015-01-07 18:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-24 07:30:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xemacs spec file cleanup (3.13 KB, patch)
2002-08-24 07:30 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2002-08-24 07:29:33 EDT
There's some obsolete stuff in rawhide's xemacs-21.4.18-15 spec file and source
RPM, I'll attach a patch.

Here's an executive summary of the patch:

Update to 21.4.9. I'd recommend this over 21.4.8, but if you don't want it, just
leave the first couple of lines out, the rest applies to 21.4.8 too.

xemacs-<version>-info tarball is obsolete since the xemacs-<version> tarball as
of 21.4 contains everything necessary. See <http://www.xemacs.org/Install/>.

Xaw3d-devel and the other athena stuff is obsolete, since openmotif is used.
Removed build requirement and a couple of configure options.

Drag and drop needs OffiX or CDE, it won't be compiled anyway, removed.

Removed a couple of obsolete entries from the files list.

Please apply...
Comment 1 Ville Skyttä 2002-08-24 07:30:14 EDT
Created attachment 72726 [details]
xemacs spec file cleanup
Comment 2 Trond Eivind Glomsrxd 2002-08-26 17:13:13 EDT
Fixed in 2.2.5-9
Comment 3 Trond Eivind Glomsrxd 2002-08-26 18:13:46 EDT
Uh... 21.4.8-16.

Note You need to log in before you can comment on or make changes to this bug.